Print some CA selecting info, which could be valuable for debugging when
something goes wrong.

Signed-off-by: Wu Fengguang <wfg@linux.intel.com>
---
 sound/pci/hda/patch_intelhdmi.c |   10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

--- sound-2.6.orig/sound/pci/hda/patch_intelhdmi.c
+++ sound-2.6/sound/pci/hda/patch_intelhdmi.c
@@ -444,14 +444,16 @@ static int hdmi_setup_channel_allocation
 		    (spk_mask & channel_allocations[i].spk_mask) ==
 				channel_allocations[i].spk_mask) {
 			ai->CA = channel_allocations[i].ca_index;
-			return 0;
+			break;
 		}
 	}
 
 	snd_print_channel_allocation(eld->spk_alloc, buf, sizeof(buf));
-	snd_printd(KERN_INFO "failed to setup channel allocation: %d of %s\n",
-			channels, buf);
-	return -1;
+	snd_printdd(KERN_INFO
+			"HDMI: select CA 0x%x for %d-channel allocation: %s\n",
+			ai->CA, channels, buf);
+
+	return ai->CA;
 }
 
 static void hdmi_setup_channel_mapping(struct hda_codec *codec,

-- 

